import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeInstanceProfilesMessage,
  DescribeInstanceProfilesResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeInstanceProfilesCommandInput
  extends DescribeInstanceProfilesMessage {}
export interface DescribeInstanceProfilesCommandOutput
  extends DescribeInstanceProfilesResponse,
    __MetadataBearer {}
declare const DescribeInstanceProfilesCommand_base: {
  new (
    input: DescribeInstanceProfilesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeInstanceProfilesCommandInput,
    DescribeInstanceProfilesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeInstanceProfilesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeInstanceProfilesCommandInput,
    DescribeInstanceProfilesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeInstanceProfilesCommand extends DescribeInstanceProfilesCommand_base {
  protected static __types: {
    api: {
      input: DescribeInstanceProfilesMessage;
      output: DescribeInstanceProfilesResponse;
    };
    sdk: {
      input: DescribeInstanceProfilesCommandInput;
      output: DescribeInstanceProfilesCommandOutput;
    };
  };
}
